Subject: Re: [PATCH 0/8] tightening ref handling outside of refs/

From: Junio C Hamano <[email-masked]>
Date: Mon, 29 Apr 2024 08:01:36 -0700

Jeff King <[email-masked]> writes:

> This series teaches check_refname_format() to enforce these rules (when
> instructed; see patch 6 for a discussion of all sorts of complications).
>
> These changes are not backwards-compatible! But that is kind of the
> point. This is stuff that was never supposed to work. My concern would
> just be that somehow somebody is relying on it.

I would of course be worried about the same, but these all look like
reasonable "I wish we did them in this way from the beginning"
changes.